Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tv.ouya.console.api
Class OuyaAuthenticationHelper

    java.lang.Object
      tv.ouya.console.api.OuyaAuthenticationHelper

    public class OuyaAuthenticationHelper

extends java.lang.Object

This class can handle any authentication errors which come from the server and bring up user account request prompts appropriately.

Field Summary
`static java.lang.String` | `OUYA_ACCOUNT_TYPE` The account type for OUYA accounts.

Constructor Summary
`OuyaAuthenticationHelper()`

Method Summary
`static boolean` | `handleError(android.app.Activity activity, int errorCode, java.lang.String errorMessage, android.os.Bundle bundle, int authActivityId, OuyaResponseListener<java.lang.Void> listener)` Handle an error from the server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OUYA_ACCOUNT_TYPE

    public static final java.lang.String OUYA_ACCOUNT_TYPE

  The account type for OUYA accounts.

  See Also:
    Constant Field Values

Constructor Detail

### OuyaAuthenticationHelper

    public OuyaAuthenticationHelper()

Method Detail

### handleError

    public static boolean handleError(android.app.Activity activity,
                                      int errorCode,
                                      java.lang.String errorMessage,
                                      android.os.Bundle bundle,
                                      int authActivityId,
                                      OuyaResponseListener<java.lang.Void> listener)

  Handle an error from the server.

  Parameters:
    `activity` - The activity we are processing the error for.
    `errorCode` - The errorCode associated with the error.
    `errorMessage` - The error message associated with the error.
    `bundle` - The bundle holding any additional error information.
    `authActivityId` - The ID to give the re-authentication activity if it needs to be started.
    `listener` - The listener used if the user needs to add an account.
  Returns:
    true if the error was handled, false if not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 OUYA, Inc. All Rights Reserved.